--
-- liftaxleAnim
-- Specialization for liftaxleAnim
--
-- monteur1

liftaxleAnim = {};

function liftaxleAnim.prerequisitesPresent(specializations)
    return SpecializationUtil.hasSpecialization(AnimatedVehicle, specializations);
end

function liftaxleAnim:load(xmlFile)
    self.liftaxle1Animation = getXMLString(self.xmlFile, "vehicle.liftaxle1#animationName");
    if self.liftaxle1Animation ~= nil then
		self.liftaxle1StartProzent = Utils.getNoNil(getXMLFloat(self.xmlFile, "vehicle.liftaxle1#startProzent"), 0);	
		self.liftaxleCapacity = Utils.getNoNil(getXMLFloat(self.xmlFile, "vehicle.fillUnits.fillUnit#capacity"), 1);
    end
    self.liftaxle2Animation = getXMLString(self.xmlFile, "vehicle.liftaxle2#animationName");
    if self.liftaxle2Animation ~= nil then
		self.liftaxle2StartProzent = Utils.getNoNil(getXMLFloat(self.xmlFile, "vehicle.liftaxle2#startProzent"), 0);	
		self.liftaxleCapacity = Utils.getNoNil(getXMLFloat(self.xmlFile, "vehicle.fillUnits.fillUnit#capacity"), 1);
    end
	
    if self.liftaxle1Animation ~= nil then
		local startLiftaxle1Value = self.liftaxleCapacity / 100 * self.liftaxle1StartProzent
		local aktfilllevel = self:getFillLevel(fillType) 
		if aktfilllevel > startLiftaxle1Value then
			self:playAnimation(self.liftaxle1Animation, -10000, nil, true); --Liftachse nach unten
		else
			self:playAnimation(self.liftaxle1Animation, 10000, nil, true); --Liftachse nach oben
        end
    end
    if self.liftaxle2Animation ~= nil then
		local startLiftaxle2Value = self.liftaxleCapacity / 100 * self.liftaxle2StartProzent
		local aktfilllevel = self:getFillLevel(fillType) 
		if aktfilllevel > startLiftaxle2Value then
			self:playAnimation(self.liftaxle2Animation, -10000, nil, true); --Liftachse nach unten
		else
			self:playAnimation(self.liftaxle2Animation, 10000, nil, true); --Liftachse nach oben
        end
    end
end

function liftaxleAnim:getSaveAttributesAndNodes(nodeIdent)
end

function liftaxleAnim:readStream(streamId, connection)
end

function liftaxleAnim:writeStream(streamId, connection)
end

function liftaxleAnim:update(dt)
    if self:getIsActive() then
        if self.liftaxle1Animation ~= nil then
			local startLiftaxle1Value = self.liftaxleCapacity / 100 * self.liftaxle1StartProzent
			local aktfilllevel = self:getFillLevel(fillType) 
			if aktfilllevel > startLiftaxle1Value then
				self:playAnimation(self.liftaxle1Animation, -1, self:getAnimationTime(self.liftaxle1Animation), true); --Liftachse nach unten
			else
				self:playAnimation(self.liftaxle1Animation, 1, self:getAnimationTime(self.liftaxle1Animation), true); --Liftachse nach oben
            end
        end
        if self.liftaxle2Animation ~= nil then
			local startLiftaxle2Value = self.liftaxleCapacity / 100 * self.liftaxle2StartProzent
			local aktfilllevel = self:getFillLevel(fillType) 
			if aktfilllevel > startLiftaxle2Value then
				self:playAnimation(self.liftaxle2Animation, -1, self:getAnimationTime(self.liftaxle2Animation), true); --Liftachse nach unten
			else
				self:playAnimation(self.liftaxle2Animation, 1, self:getAnimationTime(self.liftaxle2Animation), true); --Liftachse nach oben
            end
        end
    end
end

function liftaxleAnim:draw()
end

function liftaxleAnim:delete()
end;

function liftaxleAnim:mouseEvent(posX, posY, isDown, isUp, button)
end;

function liftaxleAnim:keyEvent(unicode, sym, modifier, isDown)
end;

function liftaxleAnim:onAttach()
end; 	

function liftaxleAnim:onDetach()
end;